// Code generated by mockery v2.52.2. DO NOT EDIT.

package tissue

import mock "github.com/stretchr/testify/mock"

// MockDeploymentOptionFunc is an autogenerated mock type for the DeploymentOptionFunc type
type MockDeploymentOptionFunc struct {
	mock.Mock
}

type MockDeploymentOptionFunc_Expecter struct {
	mock *mock.Mock
}

func (_m *MockDeploymentOptionFunc) EXPECT() *MockDeploymentOptionFunc_Expecter {
	return &MockDeploymentOptionFunc_Expecter{mock: &_m.Mock}
}

// Execute provides a mock function with given fields: _a0
func (_m *MockDeploymentOptionFunc) Execute(_a0 *deploymentOpts) {
	_m.Called(_a0)
}

// MockDeploymentOptionFunc_Execute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Execute'
type MockDeploymentOptionFunc_Execute_Call struct {
	*mock.Call
}

// Execute is a helper method to define mock.On call
//   - _a0 *deploymentOpts
func (_e *MockDeploymentOptionFunc_Expecter) Execute(_a0 interface{}) *MockDeploymentOptionFunc_Execute_Call {
	return &MockDeploymentOptionFunc_Execute_Call{Call: _e.mock.On("Execute", _a0)}
}

func (_c *MockDeploymentOptionFunc_Execute_Call) Run(run func(_a0 *deploymentOpts)) *MockDeploymentOptionFunc_Execute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*deploymentOpts))
	})
	return _c
}

func (_c *MockDeploymentOptionFunc_Execute_Call) Return() *MockDeploymentOptionFunc_Execute_Call {
	_c.Call.Return()
	return _c
}

func (_c *MockDeploymentOptionFunc_Execute_Call) RunAndReturn(run func(*deploymentOpts)) *MockDeploymentOptionFunc_Execute_Call {
	_c.Run(run)
	return _c
}

// NewMockDeploymentOptionFunc creates a new instance of MockDeploymentOptionFunc. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockDeploymentOptionFunc(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockDeploymentOptionFunc {
	mock := &MockDeploymentOptionFunc{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
